Bug 1282106 - python3 support
python3 support
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: python-django-annoying (Show other bugs)
24
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Miro Hrončok
Fedora Extras Quality Assurance
:
Depends On:
Blocks: PYTHON3 PY3PATCH-PUSH
  Show dependency treegraph
 
Reported: 2015-11-14 17:45 EST by Adolfo Fitoria
Modified: 2016-08-27 06:29 EDT (History)
6 users (show)

See Also:
Fixed In Version: python-django-annoying-0.9.0-1.fc26 python-django-annoying-0.9.0-1.fc25
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-08-27 06:29:18 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Spec file patch (3.43 KB, patch)
2016-07-29 10:09 EDT, Jan Beran
no flags Details | Diff
Updated spec file: modernized %prep section (3.43 KB, patch)
2016-08-07 03:24 EDT, Jan Beran
no flags Details | Diff

  None (edit)
Description Adolfo Fitoria 2015-11-14 17:45:45 EST
django-annoying supports Python 3

Latest upstream release: 0.8.4 (2015-09-08)
Current version/release in Fedora Rawhide: 0.7.6-8.20120609hga0de8b.fc23

https://fedoraproject.org/wiki/Packaging:Python
https://fedoraproject.org/wiki/Changes/Python_3_as_Default
Comment 1 Jan Kurik 2016-02-24 08:57:46 EST
This bug appears to have been reported against 'rawhide' during the Fedora 24 development cycle.
Changing version to '24'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/Fedora_Program_Management/HouseKeeping/Fedora24#Rawhide_Rebase
Comment 2 Jan Beran 2016-07-29 10:09 EDT
Created attachment 1185572 [details]
Spec file patch

Spec file changes:
- update to version 0.11
- url and source update
- porting the specfile to Python 3
Comment 3 Jan Beran 2016-08-07 03:24 EDT
Created attachment 1188350 [details]
Updated spec file: modernized %prep section
Comment 4 Lumír Balhar 2016-08-15 07:06:45 EDT
Hello.

Thank you for new specfile. It looks good to me.

If maintainer has nothing against, we can push it after a week.

Koji scratch build: http://koji.fedoraproject.org/koji/taskinfo?taskID=15265757
Comment 5 Praveen Kumar 2016-08-16 03:45:18 EDT
This looks good to me please make sure to run a rpmlint to source-rpm, rpm and specfile.
Comment 6 Miro Hrončok 2016-08-16 07:00:04 EDT
$ rpmlint ./python*-django-annoying*
3 packages and 0 specfiles checked; 0 errors, 0 warnings.

$ rpmlint ./python-django-annoying.spec 
0 packages and 1 specfiles checked; 0 errors, 0 warnings.
Comment 7 Miro Hrončok 2016-08-16 07:02:03 EDT
Rawhide: http://koji.fedoraproject.org/koji/taskinfo?taskID=15274241
Comment 8 Fedora Update System 2016-08-16 07:14:02 EDT
python-django-annoying-0.9.0-1.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2016-3f9228aa72
Comment 9 Fedora Update System 2016-08-16 12:25:34 EDT
python-django-annoying-0.9.0-1.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-3f9228aa72
Comment 10 Fedora Update System 2016-08-27 06:29:13 EDT
python-django-annoying-0.9.0-1.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.